This commit is contained in:
Seth Call 2015-07-14 16:39:56 -05:00
parent 792f196e3d
commit 0651326ff0
3 changed files with 11 additions and 3 deletions

View File

@ -30,6 +30,8 @@ cp ../ruby/jam_ruby-${GEM_VERSION}.gem vendor/cache/ || { echo "unable to copy j
cp ../websocket-gateway/jam_websockets-${GEM_VERSION}.gem vendor/cache/ || { echo "unable to copy websocket-gateway gem"; exit 1; }
echo "updating dependencies"
# for some reason, this command fails on Ubuntu 14.04/Ruby 2.2.2. But the next bundle install succeeds.
set +e
bundle install
set -e

View File

@ -1,5 +1,12 @@
ActionMailer::Base.raise_delivery_errors = true
begin
ActionMailer::Base.delivery_method = GenericState.allow_emails? ? :smtp : :test
rescue
# this can happen on the build server when it's compiling assets and doesn't have the 'jam' database
ActionMailer::Base.delivery_method = :test
end
ActionMailer::Base.smtp_settings = {
:address => Rails.application.config.email_smtp_address,
:port => Rails.application.config.email_smtp_port,

View File

@ -550,14 +550,13 @@ def start_recording_with(creator, joiners=[], genre=nil)
page.within_window page.driver.window_handles.last do
find('#recording-status', text: 'Start Recording')
find('a.control').trigger(:click)
screenshot_and_save_page
find('#recording-status', text: 'Stop Recording')
end
end
joiners.each do |joiner|
in_client(joiner) do
find('#notification').should have_content 'started a recording'
find('.session-recording[data-is-recording="true"]')
find('.session-record[data-is-recording="true"]')
end
end
end
@ -570,7 +569,7 @@ def stop_recording
end
def assert_recording_finished
find('.session-recording[data-is-recording="false"]')
find('.session-record[data-is-recording="false"]')
should have_selector('h1', text: 'recording finished')
end